import request from '@/utils/request'

// 查询个人宠物类型列表
export function listAppletPetType(query) {
  return request({
    url: '/model/AppletPetType/list',
    method: 'get',
    params: query
  })
}

// 查询个人宠物类型详细
export function getAppletPetType(id) {
  return request({
    url: '/model/AppletPetType/' + id,
    method: 'get'
  })
}

// 新增个人宠物类型
export function addAppletPetType(data) {
  return request({
    url: '/model/AppletPetType',
    method: 'post',
    data: data
  })
}

// 修改个人宠物类型
export function updateAppletPetType(data) {
  return request({
    url: '/model/AppletPetType',
    method: 'put',
    data: data
  })
}

// 删除个人宠物类型
export function delAppletPetType(id) {
  return request({
    url: '/model/AppletPetType/' + id,
    method: 'delete'
  })
}
